public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Andrew Ammerlaan" <andrewammerlaan@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: x11-libs/qwt/
Date: Tue,  7 Dec 2021 22:40:07 +0000 (UTC)	[thread overview]
Message-ID: <1638916801.cfb28cff9d5b8822fbdd59a9270895c7df89b23e.andrewammerlaan@gentoo> (raw)

commit:     cfb28cff9d5b8822fbdd59a9270895c7df89b23e
Author:     Andrew Ammerlaan <andrewammerlaan <AT> gentoo <DOT> org>
AuthorDate: Tue Dec  7 19:20:54 2021 +0000
Commit:     Andrew Ammerlaan <andrewammerlaan <AT> gentoo <DOT> org>
CommitDate: Tue Dec  7 22:40:01 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=cfb28cff

x11-libs/qwt: add version 6.2.0

Closes: https://bugs.gentoo.org/828431
Package-Manager: Portage-3.0.28, Repoman-3.0.3
Signed-off-by: Andrew Ammerlaan <andrewammerlaan <AT> gentoo.org>

 x11-libs/qwt/Manifest         |   1 +
 x11-libs/qwt/qwt-6.2.0.ebuild | 125 ++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 126 insertions(+)

diff --git a/x11-libs/qwt/Manifest b/x11-libs/qwt/Manifest
index dab884758c08..e33a6b4b3b9f 100644
--- a/x11-libs/qwt/Manifest
+++ b/x11-libs/qwt/Manifest
@@ -1,3 +1,4 @@
 DIST qwt-5.2.3_p20210211.tar.gz 2324714 BLAKE2B 86556c9cf65af80500b3cba7ef78be8aec0f2413a1d485641f8870b447a1b1370b9821ad6b4a58c74f87a73172e4b2fa3eb2f02bb525c0ab3982aec550914666 SHA512 8268213c9e809015d83f3f7d42e66c85b6c9cb16efb9586ad4e5da2fa60fdcc5bdf52e0a422adcdfe928e36df0f63d8bbed1fabded91ef36d226e6cc7fa372bb
 DIST qwt-5.2.3_p20210828.tar.gz 2324516 BLAKE2B f86ee55dab0e70bb255f90384ee920985d71ff998aa74bb087c2bd7bf3cdc23034786bce0d4e652dd4a7b1551719e4723de6689c76500e5f618838f40f7ca838 SHA512 c5eb64593a476d9ff1ec6c16593896bf3b90738a17775bd8186ffc7f86911ae0b91ceb8e7c1736329e9871fd9e1e5653a85df0a4cdb780a1f2f993f33ee07f62
 DIST qwt-6.1.5.tar.bz2 4408268 BLAKE2B 5f42e0cfc95a7dade8e376438234abded91390b52a793eba6aef21027379f12ab2441fd80121e05c1fba13ac1b526bb6c1a6c0e8442c87cb06dcf2c520269373 SHA512 0dd1a8278751f0bb26e33ccbf120a20e406109a440d314e4525ce9a2d6f1fc56dccff2dc11c500fe2cfcbd42f4a641e87a231f93f321edc588d9353ffaccbd22
+DIST qwt-6.2.0.tar.bz2 4815773 BLAKE2B 30011de7ef9b555584644ccb0994bfe56af2d7efe16690b236aa1aa0860a4408800fbd31003fd7a7a0ddf8572f573b4d0ff77069f291cd2858b31a2840952b3b SHA512 d992f9dddb09ad0e1d09e23a24a9331c950ca19a413d2627cf423e1ddc2a4ad4eb951646f789e8c7a9ab42668c30d7108071f3f8bbd8e1f4118cadb67c34939d

diff --git a/x11-libs/qwt/qwt-6.2.0.ebuild b/x11-libs/qwt/qwt-6.2.0.ebuild
new file mode 100644
index 000000000000..1e6aff9a96a5
--- /dev/null
+++ b/x11-libs/qwt/qwt-6.2.0.ebuild
@@ -0,0 +1,125 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DOCS_BUILDER="doxygen"
+DOCS_DIR="doc"
+DOCS_CONFIG_NAME="Doxyfile"
+
+inherit qmake-utils docs
+
+DESCRIPTION="2D plotting library for Qt5"
+HOMEPAGE="https://qwt.sourceforge.io/"
+SRC_URI="mirror://sourceforge/project/${PN}/${PN}/${PV}/${P}.tar.bz2"
+
+LICENSE="qwt"
+KEYWORDS="~amd64 ~arm ~ppc ~ppc64 ~sparc ~x86 ~amd64-linux ~x86-linux"
+SLOT="6/2.0"
+IUSE="designer doc examples opengl svg"
+
+DEPEND="
+	dev-qt/qtconcurrent:5
+	dev-qt/qtcore:5
+	dev-qt/qtgui:5
+	dev-qt/qtprintsupport:5
+	dev-qt/qtwidgets:5
+	designer? ( dev-qt/designer:5 )
+	opengl? (
+		dev-qt/qtopengl:5
+		virtual/opengl
+	)
+	svg? ( dev-qt/qtsvg:5 )
+"
+RDEPEND="${DEPEND}"
+
+# tests require package to be already installed
+RESTRICT="test"
+
+DOCS=( CHANGES-6.2 README )
+
+src_prepare() {
+	default
+
+	cat > qwtconfig.pri <<-EOF || die
+		QWT_INSTALL_LIBS = "${EPREFIX}/usr/$(get_libdir)"
+		QWT_INSTALL_HEADERS = "${EPREFIX}/usr/include/qwt6"
+		QWT_INSTALL_DOCS = "${EPREFIX}/usr/share/doc/${PF}"
+		QWT_CONFIG += QwtPlot QwtWidgets QwtPkgConfig
+		VER_MAJ = $(ver_cut 1)
+		VER_MIN = $(ver_cut 2)
+		VER_PAT = $(ver_cut 3)
+		VERSION = ${PV/_*}
+		QWT_VER_MAJ = $(ver_cut 1)
+		QWT_VER_MIN = $(ver_cut 2)
+		QWT_VER_PAT = $(ver_cut 3)
+		QWT_VERSION = ${PV/_*}
+	EOF
+
+	use designer && echo "QWT_CONFIG += QwtDesigner" >> qwtconfig.pri
+	use opengl && echo "QWT_CONFIG += QwtOpenGL" >> qwtconfig.pri
+	use svg && echo "QWT_CONFIG += QwtSvg" >> qwtconfig.pri
+
+	cat > qwtbuild.pri <<-EOF || die
+		QWT_CONFIG += qt warn_on thread release no_keywords
+	EOF
+
+	echo "QWT_CONFIG += QwtDll" >> qwtconfig.pri
+
+	cat >> qwtconfig.pri <<-EOF || die
+		QWT_INSTALL_PLUGINS   = "${EPREFIX}$(qt5_get_plugindir)/designer"
+		QWT_INSTALL_FEATURES  = "${EPREFIX}$(qt5_get_mkspecsdir)/features"
+	EOF
+	sed \
+		-e 's/target doc/target/' \
+		-e "/^TARGET/s:(qwt):(qwt6-qt5):g" \
+		-e "/^TARGET/s:qwt):qwt6-qt5):g" \
+		-e "s:QWT_SONAME=libqwt.so:QWT_SONAME=libqwt6-qt5.so:g" \
+		-i src/src.pro || die
+
+	sed \
+		-e '/qwtAddLibrary/s:(qwt):(qwt6-qt5):g' \
+		-e '/qwtAddLibrary/s:qwt):qwt6-qt5):g' \
+		-i qwt.prf designer/designer.pro examples/examples.pri || die
+}
+
+src_configure() {
+	eqmake5
+}
+
+src_compile() {
+	default
+	# need doxyfilter.sh in PATH
+	PATH="${PATH}:${S}/doc/" docs_compile
+}
+
+src_test() {
+	cd tests || die
+	eqmake5 tests.pro
+	emake
+}
+
+src_install() {
+	emake INSTALL_ROOT="${D}" install
+	einstalldocs
+
+	mkdir -p "${ED}"/usr/share/man/ || die
+	mv "${ED}"/usr/share/doc/${PF}/man/man3 "${ED}"/usr/share/man/ && \
+		rmdir "${ED}"/usr/share/doc/${PF}/man || die
+
+	if use examples; then
+		# don't build examples - fix the qt files to build once installed
+		cat > examples/examples.pri <<-EOF || die
+			include( qwtconfig.pri )
+			TEMPLATE     = app
+			MOC_DIR      = moc
+			INCLUDEPATH += "${EPREFIX}/usr/include/qwt6"
+			DEPENDPATH  += "${EPREFIX}/usr/include/qwt6"
+			LIBS        += -lqwt6
+		EOF
+		sed -i -e 's:../qwtconfig:qwtconfig:' examples/examples.pro || die
+		cp *.pri examples/ || die
+		insinto /usr/share/${PN}6
+		doins -r examples
+	fi
+}


             reply	other threads:[~2021-12-07 22:40 UTC|newest]

Thread overview: 63+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2021-12-07 22:40 Andrew Ammerlaan [this message]
  -- strict thread matches above, loose matches on Subject: below --
2025-02-12 17:28 [gentoo-commits] repo/gentoo:master commit in: x11-libs/qwt/ Andreas Sturmlechner
2024-11-18 21:42 Andreas Sturmlechner
2024-11-18 21:42 Andreas Sturmlechner
2023-12-23 14:29 Arthur Zamarin
2023-12-22 11:03 Arthur Zamarin
2023-12-18  9:01 Arthur Zamarin
2023-12-18  9:01 Arthur Zamarin
2023-12-16 16:17 Arthur Zamarin
2023-12-16 16:17 Arthur Zamarin
2023-12-16 16:17 Arthur Zamarin
2023-12-16 16:17 Arthur Zamarin
2023-11-08 17:21 Andrew Ammerlaan
2023-06-15  8:43 Andrew Ammerlaan
2022-10-21 15:05 Andrew Ammerlaan
2022-10-20  3:54 Sam James
2022-04-30 15:53 Marek Szuba
2022-04-30 15:53 Marek Szuba
2021-12-16  9:08 Andrew Ammerlaan
2021-12-08 10:43 Andrew Ammerlaan
2021-12-07 22:40 Andrew Ammerlaan
2021-10-20  4:03 Sam James
2021-10-18  0:39 Sam James
2021-10-17 20:04 Sam James
2021-10-17 19:09 Sam James
2021-05-23 13:08 Andrew Ammerlaan
2021-05-23 12:47 Andrew Ammerlaan
2021-01-24 13:35 Sam James
2021-01-24 13:33 Sam James
2021-01-22 18:45 Sam James
2021-01-21  9:52 Agostino Sarubbo
2021-01-06 12:01 Fabian Groffen
2020-10-07 20:26 Rick Farina
2020-10-07 20:26 Rick Farina
2020-06-29 17:37 Andreas Sturmlechner
2020-06-29 13:40 Agostino Sarubbo
2020-06-21 17:08 Agostino Sarubbo
2020-06-21 17:03 Agostino Sarubbo
2020-05-22 16:08 Andreas Sturmlechner
2019-12-30 23:01 Sergei Trofimovich
2018-06-28 18:49 Andreas Sturmlechner
2018-06-07 10:13 Agostino Sarubbo
2018-06-06 23:23 Thomas Deutschmann
2018-06-02 14:08 Andreas Sturmlechner
2018-05-13  6:56 Andreas Sturmlechner
2017-09-02 13:18 Michael Palimaka
2017-04-09 20:42 Andreas Sturmlechner
2017-03-29  1:34 Jeroen Roovers
2017-03-04 14:02 Agostino Sarubbo
2017-03-02 19:39 Andreas Sturmlechner
2017-03-02 10:47 Agostino Sarubbo
2017-03-02 10:30 Agostino Sarubbo
2017-02-23 21:57 Andreas Sturmlechner
2017-01-23 23:21 Andreas Sturmlechner
2017-01-23 23:21 Andreas Sturmlechner
2017-01-21 15:18 Lars Wendler
2017-01-15 16:57 Justin Lecher
2017-01-15 16:57 Justin Lecher
2016-04-18  9:43 Patrice Clement
2015-11-19 12:26 Justin Lecher
2015-11-19 12:26 Justin Lecher
2015-09-23  9:33 Justin Lecher
2015-09-07 18:08 Justin Lecher

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1638916801.cfb28cff9d5b8822fbdd59a9270895c7df89b23e.andrewammerlaan@gentoo \
    --to=andrewammerlaan@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox